Bug 766571 - add 'fremovexattr()' fop into glusterfs fop list
add 'fremovexattr()' fop into glusterfs fop list
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Amar Tumballi
Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-12-12 06:07 EST by Amar Tumballi
Modified: 2013-12-18 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:41:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa43
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2011-12-12 06:07:22 EST
Description of problem:
With out this, one cannot remove a xattr on a fd. And this is a valid syscall in a system.

Version-Release number of selected component (if applicable): All

How reproducible: Feature Request...


Additional info:

Need this feature to have complete protocol set.
Comment 1 Anand Avati 2012-01-23 12:43:38 EST
CHANGE: http://review.gluster.com/803 (distribute: utilize new 'fremovexattr()' fop for rebalance) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2012-01-25 05:24:25 EST
CHANGE: http://review.gluster.com/778 (core: add 'fremovexattr()' fop) merged in master by Anand Avati (avati@gluster.com)
Comment 3 Anand Avati 2012-01-25 05:26:56 EST
CHANGE: http://review.gluster.com/802 (complete the implementation of missing 'f**xattr()' fops) merged in master by Anand Avati (avati@gluster.com)
Comment 4 Anand Avati 2012-02-02 22:43:18 EST
CHANGE: http://review.gluster.com/2691 (distribute: utilize new 'fremovexattr()' fop for rebalance) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 5 Anand Avati 2012-02-03 11:14:05 EST
CHANGE: http://review.gluster.com/2692 (extras/test: add a test file to test 'f-fops'.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 6 Raghavendra Bhat 2012-05-24 05:43:39 EDT
checked on glusterfs-3.3.0qa43. Now fremovexattr fop is present.

xlator.c:        SET_DEFAULT_FOP (fremovexattr);
xlator.h:typedef int32_t (*fop_fremovexattr_cbk_t) (call_frame_t *frame,
xlator.h:typedef int32_t (*fop_fremovexattr_t) (call_frame_t *frame,
xlator.h:        fop_fremovexattr_t   fremovexattr;
xlator.h:        fop_fremovexattr_cbk_t   fremovexattr_cbk;

Note You need to log in before you can comment on or make changes to this bug.